 #  (C) Copyright 2001-2014, Toshiba Global Commerce Solutions, Inc
 #  All right reserved.
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
 #  the Free Software Foundation; either version 2 of the License, or
 #  (at your option) any later version.
 #
 #  This program is distributed in the hope that it will be useful,
 #  but WITHOUT ANY WARRANTY; without even the implied warranty of
 #  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 #  GNU General Public License for more details.
 #
 #  You should have received a copy of the GNU General Public License along
 #  with this program; if not, write to the Free Software Foundation, Inc.,
 #  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA; Otherwise,
 #  see <http://www.gnu.org/licenses/>.
 #
 # Should you need to contact me, the author, you can do so either by
 # e-mail - mail your message to <garmentrout@toshibagcs.com>.

# norootforbuild

Name:             toshiba-poss-suse12
Version:          10.2.0
Release:          3.1
Group:            System/Kernel
Summary:          Toshiba Point of Sale Subsystem for Linux Kernel Modules Package
License:          GPL-2.0
Vendor:           Toshiba
Url:              http://www.toshibacommerce.com
Source0:          toshiba-poss-suse12-10.2.0-103.tar.bz2
Source1:          Module.supported
BuildRoot:        %{_tmppath}/%{name}-%{version}-build
BuildRequires:    %kernel_module_package_buildreqs

%kernel_module_package -p %_sourcedir/preamble -x xen

%description 
The Toshiba Point of Sale Subsystem kernel modules provide support for accessing
Toshiba Point-of-Sale I/O devices.

%package KMP
Summary:          Toshiba Point of Sale Subsystem for Linux Kernel Modules
Group:            System/Kernel

%description KMP
The Toshiba Point of Sale Subsystem kernel modules provide support for accessing
Toshiba Point-of-Sale I/O devices.

%prep 
%setup
cp %_sourcedir/Module.supported Module.supported
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
        rm -rf obj/$flavor
        cp -r source obj/$flavor
        make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
                M=$PWD/obj/$flavor
done


%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates/Toshiba/pos
for flavor in %flavors_to_build; do
        make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
                M=$PWD/obj/$flavor
done

%changelog
* Sun Feb  8 2015 sbahling@suse.com
- Update to version 10.2.0
  * Package name change from toshiba-poss-sles11 to toshiba-poss-suse12
  * Update License tag to match license provided in source.
  * Remove obsoletes for base package since there is no base package built
  * Add preamble for proper obsoletes of the previous kmp packages
* Tue Dec 23 2014 garmentrout@toshibagcs.com
- Added COPYING file
* Wed Jun 12 2013 poswald@novell.com
-Initial PLDP build of the Toshiba version of the poss driver
* Tue Apr  9 2013 gha@us.ibm.com
- Changed install directory from updates/IBM/pos to updates/Toshiba/pos
* Thu Jan 10 2013 gha@us.ibm.com
- Changed company ownership from IBM to Toshiba Global Commerce Solutions, Inc.
* Tue Apr 21 2009 gha@us.ibm.com
- Updates after initial build process review
* Thu Mar 26 2009 gha@us.ibm.com
- Initial version
